# Named Entity Recognition with the Nametag Maximum Entropy Markov model 

This repository contains an R package which wraps the NameTag C++ library (https://github.com/ufal/nametag), allowing the following:
  
- Fit a **Maximum Entropy Markov model** machine learning model
- Use the model to get predictions alongside the model on new data
- The focus of the implementation is in the area of Natural Language Processing where this R package allows you to easily build and apply models for **named entity recognition, text chunking, part of speech tagging, intent recognition or classification** of any category you have in mind.

## Installation

- For installing the development version of this package: 
    - Execute in R: `remotes::install_github("bnosac/nametagger")`
    - Look to the documentation of the functions: `help(package = "nametagger")`

## Support in text mining

Need support in text mining?
Contact BNOSAC: http://www.bnosac.be
